Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RT_Mutex.h File Reference

`#include "tao/orbconf.h"`
`#include "RTCORBAC.h"`
`#include "tao/LocalObject.h"`

Include dependency graph for RT_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_RT_Mutex
| Abstract base class for the TAO RT Mutex implementations. More...
## Defines
#define | TAO_RTCORBA_SAFE_INCLUDE

## Detailed Description

Id:
  RT_Mutex.h,v 1.8 2003/12/04 09:08:46 jwillemsen Exp

Author:
  Frank Hunleth <fhunleth@cs.wustl.edu>

## Define Documentation

#define TAO_RTCORBA_SAFE_INCLUDE